Bug 1301610 - [abrt] file-roller: fast_validate(): file-roller killed by SIGSEGV
[abrt] file-roller: fast_validate(): file-roller killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ae139e0a0d0a939db9a9838a9ff...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 09:06 EST by Pablo Ganuza
Modified: 2016-12-20 13:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:11:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.76 KB, text/plain)
2016-01-25 09:06 EST, Pablo Ganuza
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-25 09:06 EST, Pablo Ganuza
no flags Details
File: core_backtrace (11.40 KB, text/plain)
2016-01-25 09:06 EST, Pablo Ganuza
no flags Details
File: dso_list (10.63 KB, text/plain)
2016-01-25 09:06 EST, Pablo Ganuza
no flags Details
File: environ (1.27 KB, text/plain)
2016-01-25 09:06 EST, Pablo Ganuza
no flags Details
File: exploitable (110 bytes, text/plain)
2016-01-25 09:06 EST, Pablo Ganuza
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-25 09:06 EST, Pablo Ganuza
no flags Details
File: maps (51.24 KB, text/plain)
2016-01-25 09:06 EST, Pablo Ganuza
no flags Details
File: mountinfo (3.71 KB, text/plain)
2016-01-25 09:06 EST, Pablo Ganuza
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-25 09:06 EST, Pablo Ganuza
no flags Details
File: open_fds (1.16 KB, text/plain)
2016-01-25 09:06 EST, Pablo Ganuza
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-01-25 09:07 EST, Pablo Ganuza
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-01-25 09:07 EST, Pablo Ganuza
no flags Details

  None (edit)
Description Pablo Ganuza 2016-01-25 09:06:36 EST
Description of problem:
I cancelled the unzip of a file that was inside a tar file.

Version-Release number of selected component:
file-roller-3.16.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        file-roller /run/user/1000/gvfs/smb-share:server=cerebro.local,share=hipocampo/Zuni/Zuni.tar
crash_function: fast_validate
executable:     /usr/bin/file-roller
global_pid:     7239
kernel:         4.3.3-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 fast_validate at gutf8.c:1474
 #1 g_utf8_validate at gutf8.c:1655
 #2 strdup_len at gconvert.c:837
 #3 g_locale_to_utf8 at gconvert.c:905
 #4 _g_error_new_from_archive_error at fr-archive-libarchive.c:322
 #5 extract_archive_thread at fr-archive-libarchive.c:797
 #6 run_in_thread at gsimpleasyncresult.c:898
 #7 io_job_thread at gioscheduler.c:85
 #8 g_task_thread_pool_thread at gtask.c:1287
 #10 g_thread_proxy at gthread.c:778

Potential duplicate: bug 1048470
Comment 1 Pablo Ganuza 2016-01-25 09:06:40 EST
Created attachment 1118040 [details]
File: backtrace
Comment 2 Pablo Ganuza 2016-01-25 09:06:41 EST
Created attachment 1118041 [details]
File: cgroup
Comment 3 Pablo Ganuza 2016-01-25 09:06:44 EST
Created attachment 1118042 [details]
File: core_backtrace
Comment 4 Pablo Ganuza 2016-01-25 09:06:45 EST
Created attachment 1118043 [details]
File: dso_list
Comment 5 Pablo Ganuza 2016-01-25 09:06:47 EST
Created attachment 1118044 [details]
File: environ
Comment 6 Pablo Ganuza 2016-01-25 09:06:48 EST
Created attachment 1118045 [details]
File: exploitable
Comment 7 Pablo Ganuza 2016-01-25 09:06:50 EST
Created attachment 1118046 [details]
File: limits
Comment 8 Pablo Ganuza 2016-01-25 09:06:54 EST
Created attachment 1118047 [details]
File: maps
Comment 9 Pablo Ganuza 2016-01-25 09:06:55 EST
Created attachment 1118048 [details]
File: mountinfo
Comment 10 Pablo Ganuza 2016-01-25 09:06:57 EST
Created attachment 1118049 [details]
File: namespaces
Comment 11 Pablo Ganuza 2016-01-25 09:06:58 EST
Created attachment 1118050 [details]
File: open_fds
Comment 12 Pablo Ganuza 2016-01-25 09:07:00 EST
Created attachment 1118051 [details]
File: proc_pid_status
Comment 13 Pablo Ganuza 2016-01-25 09:07:01 EST
Created attachment 1118052 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 10:10:49 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 13:11:05 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.